# Shell Scripts to Practice

## Question 1

**Search for a specific word in a file.**

E.g when run like `./script.sh pig animals.txt` it will search `animals.txt` for the word `pig`

Hint: `grep`

## Question 2

**Move files with a specific extension to another directory.**

E.g when run like `./script.sh py newfolder/`
all files ending with `.py` are moved to the `newfolder/` directory 

Hint: `mv & arguments`

## Question 3

**Create a backup for a directory.**

E.g when run like `./script.sh foldername/`
a copy of the folder `foldername` is created called `_backup_foldername/` 

Hint: `cp`

## Question 4

**Count the number of lines in a file.**

E.g when run like `./script.sh file.txt`
the number of lines in `file.txt` is shown. 

Hint: `wc`

## Question 5

**Merge content of multiple files together.**

E.g when run like `./script.sh output.txt file1.txt file2.txt` a file called `output.txt` is created including the contents of both `file1.txt` and `file2.txt`

Hint: `cat`

## Question 6

**Delete all empty files in the *current* directory.**

E.g when run like `./script.sh` all empty files will be removed from the current directory.

Hint: `find -type f -empty` may help find empty files...